Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Message says I have old version of Firefox, and updating isn't possible because my " system is incompatible." What now?

  • 8 replies
  • 18 have this problem
  • 701 views
  • Last reply by klementina

more options

Every time I access e-mail, a pop-up box appears saying that I'm using an old version of Firefox, and I should update. But when I click on the "update now" box, another message appears saying that "your current system is incompatible with updating." So what am I supposed to do?

Chosen solution

You appear to have a Intel Mac and using the old OSX 10.4.1

The last Mozilla version to work on such is the Firefox 3.6.* where the current 3.6.22 update can be found at http://www.mozilla.org/en-US/firefox/all-older.html

As of Firefox 4.0 and newer a Intel Mac and OSX 10.5+ is required.

Read this answer in context 👍 1

All Replies (8)

more options

Chosen Solution

You appear to have a Intel Mac and using the old OSX 10.4.1

The last Mozilla version to work on such is the Firefox 3.6.* where the current 3.6.22 update can be found at http://www.mozilla.org/en-US/firefox/all-older.html

As of Firefox 4.0 and newer a Intel Mac and OSX 10.5+ is required.

more options

I tried this link.....got the following message: "Unfortunately the latest version of Firefox isn't compatible with your computer's operating system."

So I'm still stuck. Any other suggestions??

more options

That should be working:

Did you download that Firefox version to the desktop?

If there are problems with updating or with the permissions then easiest is to download the full version and trash the currently installed version to do a clean install of the new version.

Download a new copy of the Firefox program and save the DMG file to the desktop

  • Trash the current Firefox application to do a clean (re-)install
  • Install the new version that you have downloaded

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.


more options

I was browsing regularly just half an hour ago, and started getting "Your Browser is no longer supported" messages from Google. I checked that firefox is up to date - going to "About Firefox" shows 10.0.1.

I went to the firefox website, and it shows me "Unfortunately the latest version of Firefox isn't compatible with your computer's operating system." Going to the apple menu and clicking About this Mac shows OS X 10.6.8, with no available software updates. What on earth is going on?

Trying to install Google Chrome also tells me that they think my operating system is not up to date...

more options

Do you see that message on the www.google.com/firefox site?

The www.google.com/firefox site was used in Firefox 3 versions.
Current Firefox 4+ versions no longer use that Google website as the home page, but use the build-in about:home page as the home page.
Google no longer seems to maintain that page and assumes that you use an older Firefox version if you still visit that site and warns you that you use an older Firefox version and suggests to update.
You can ignore that message if you run the latest Firefox version as reported in the "Help > About" window (Firefox is up to date).
You can use another page as the home page like about:home or www.google.com or www.google.com/ig (iGoogle).

more options

No, I see that message when I visit firefox.com with the Firefox browser - but I don't see it when I visit it with the safari browser. What's going on? I've tried reinstalling Firefox, to no avail...

more options

Try Reset your user agent and check it again.

thank you

more options

You, sir, are a brilliant man! Thank you!